KDE 4.9 PyKDE API Reference

- KDE's Python API

# WindowArgs Class Reference

`from PyKDE4.kparts import *`

Namespace: KParts

## Detailed Description

The WindowArgs are used to specify arguments to the "create new window" call (see the createNewWindow variant that uses WindowArgs). The primary reason for this is the javascript window.open function.

## Methods

| __init__ (self)
| __init__ (self, KParts.WindowArgs args)
| __init__ (self, QRect _geometry, bool _fullscreen, bool _menuBarVisible, bool _toolBarsVisible, bool _statusBarVisible, bool _resizable)
| __init__ (self, int _x, int _y, int _width, int _height, bool _fullscreen, bool _menuBarVisible, bool _toolBarsVisible, bool _statusBarVisible, bool _resizable)
int | height (self)
bool | isFullScreen (self)
bool | isMenuBarVisible (self)
bool | isResizable (self)
bool | isStatusBarVisible (self)
bool | lowerWindow (self)
bool | scrollBarsVisible (self)
| setFullScreen (self, bool fs)
| setHeight (self, int h)
| setLowerWindow (self, bool lower)
| setMenuBarVisible (self, bool visible)
| setResizable (self, bool resizable)
| setScrollBarsVisible (self, bool visible)
| setStatusBarVisible (self, bool visible)
| setToolBarsVisible (self, bool visible)
| setWidth (self, int w)
| setX (self, int x)
| setY (self, int y)
bool | toolBarsVisible (self)
int | width (self)
int | x (self)
int | y (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | KParts.WindowArgs | args
| ) |  |  |

__init__ | ( | self, |
|  | QRect | _geometry,
|  | bool | _fullscreen,
|  | bool | _menuBarVisible,
|  | bool | _toolBarsVisible,
|  | bool | _statusBarVisible,
|  | bool | _resizable
| ) |  |  |

__init__ | ( | self, |
|  | int | _x,
|  | int | _y,
|  | int | _width,
|  | int | _height,
|  | bool | _fullscreen,
|  | bool | _menuBarVisible,
|  | bool | _toolBarsVisible,
|  | bool | _statusBarVisible,
|  | bool | _resizable
| ) |  |  |

int height | ( |  | self ) |

bool isFullScreen | ( |  | self ) |

bool isMenuBarVisible | ( |  | self ) |

bool isResizable | ( |  | self ) |

bool isStatusBarVisible | ( |  | self ) |

bool lowerWindow | ( |  | self ) |

bool scrollBarsVisible | ( |  | self ) |

setFullScreen | ( | self, |
|  | bool | fs
| ) |  |  |

setHeight | ( | self, |
|  | int | h
| ) |  |  |

setLowerWindow | ( | self, |
|  | bool | lower
| ) |  |  |

setMenuBarVisible | ( | self, |
|  | bool | visible
| ) |  |  |

setResizable | ( | self, |
|  | bool | resizable
| ) |  |  |

setScrollBarsVisible | ( | self, |
|  | bool | visible
| ) |  |  |

setStatusBarVisible | ( | self, |
|  | bool | visible
| ) |  |  |

setToolBarsVisible | ( | self, |
|  | bool | visible
| ) |  |  |

setWidth | ( | self, |
|  | int | w
| ) |  |  |

setX | ( | self, |
|  | int | x
| ) |  |  |

setY | ( | self, |
|  | int | y
| ) |  |  |

bool toolBarsVisible | ( |  | self ) |

int width | ( |  | self ) |

int x | ( |  | self ) |

int y | ( |  | self ) |